Шаблон:Pageframe/styles.css: различия между версиями

Новая страница: «.pageframe { overflow: hidden; display: flex; flex-direction: column; background-color: var(--tmp-10); box-shadow: var(--template-shadow--small) -1px var(--tmp-50); border-radius: var(--border-radius-medium); } .pageframe hr { margin: 0.5rem 0; background-color: var(--tmp-25); } .pageframe-header { display: flex; align-items: center; min-height: 1.75rem; gap: 0.5rem; padding: 2px 0.5rem 0; background-color: var(--tmp-75); color: var(--color-...»
 
мНет описания правки
Строка 21: Строка 21:
background-color: var(--tmp-75);
background-color: var(--tmp-75);
color: var(--color-white);
color: var(--color-white);
border-bottom: 2px solid hsl(from var(--tmp-100) h s calc(l + 5));
border-bottom-color: hsl(var(--hue), var(--saturation), calc(var(--lightness) + 5%));
}
}



Версия от 12:06, 18 апреля 2026

.pageframe { overflow: hidden; display: flex; flex-direction: column; background-color: var(--tmp-10); box-shadow: var(--template-shadow--small) -1px var(--tmp-50); border-radius: var(--border-radius-medium); }

.pageframe hr { margin: 0.5rem 0; background-color: var(--tmp-25); }

.pageframe-header { display: flex; align-items: center; min-height: 1.75rem; gap: 0.5rem; padding: 2px 0.5rem 0; background-color: var(--tmp-75); color: var(--color-white); border-bottom-color: hsl(var(--hue), var(--saturation), calc(var(--lightness) + 5%)); }

.pageframe-header-icon {

   line-height: 1em;

}

.pageframe-header-text { flex: 1; font-weight: bold; text-align: center; line-height: 1.1rem; padding: 0.25em 0; }

.pageframe-content {

   padding: 0.5rem;
   border: 1px solid var(--tmp-25);
   border-top: unset;
   border-radius: 0 0 var(--border-radius-medium) var(--border-radius-medium);

}